%define name	MMboX
%define	version 0.4.1
%define cvs 20020928
%define release	0.%{cvs}.2mdk

Summary:      	Multimedia Center
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Group: 		Video
License: 	GPL
Source: 	%{name}-%{cvs}.tar.gz
#icons, stolen from xine
Source1:	%name-48.png
Source2:	%name-32.png
Source3:	%name-16.png
Patch:		%{name}-makefile.patch.bz2
Patch1:		%{name}-main.patch.bz2
Patch2:		%{name}-utils.patch.bz2
Patch3:		%{name}-config.patch.bz2
URL: 		http://mmbox.tuxfamily.org/
BuildRoot: 	%_tmppath/%name-%version
Prefix: 	%{_prefix}
BuildRequires:  libSDL_gfx-devel
BuildRequires:  libSDL_image-devel
BuildRequires:  libSDL_net-devel
BuildRequires:  libSDL_ttf-devel
BuildRequires:  glib-devel
Requires: 	xmms, mplayer, xawtv

%description

This is a Multimedia Center. You can use it to watch video files, play
music or watch TV with your Video4Linux card. At acts as a frontend
to MPlayer, xmms and xawtv under one GUI.

%prep
%setup -q -c %name
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# clean CVS stuff
find %buildroot -type d -name CVS|xargs rm -rf

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%_bindir/mmbox.sh"\
title="MMboX"\
longtitle="Video, Music and TV player"\
needs="x11"\
section="Multimedia/Video"\
icon="%name.png"
EOF
#icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
install -m 644 %SOURCE1 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%postun
%clean_menus

%files
%defattr(-,root,root) 
%doc AUTHORS BUGS README TODO
%_bindir/MMboX
%_bindir/mmbox.sh
%_bindir/cdinfo
%_datadir/mmbox/*
%{_menudir}/%{name}
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-0.20020928.2mdk
- rebuild

* Mon Sep 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-0.20020928.1mdk
- add a description
- fix menu
- spec cleanup
- initial package

* Sat Sep 28 2002 Florent BERANGER <cosmic.flo@libertysurf.fr> cvs28092002-0mdk
- initial Mandrake package based on team works
